de.caff.generics.function

## Interface IntToShortFunction2

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IntToShortFunction2

  Function with two primitive integer arguments and a primitive short result.
  Since:
    November 27, 2020
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `applyAsShort(int value1, int value2)` Apply this function to the given 2 arguments.
    `default IntToCharFunction2` | `asIntToCharFunction()` View this as an `int` to `char` function which considers the byte values unsigned.
    `default IntToDoubleFunction2` | `asIntToDoubleFunction()` View this as an `int` to `double` function.
    `default java.util.function.IntBinaryOperator` | `asIntToIntFunction()` View this as an `int` to `int` function.
    `default IntToLongFunction2` | `asIntToLongFunction()` View this as an `int` to `long` function.
    `default IntToDoubleFunction2` | `asIntToUnsignedDoubleFunction()` View this as an `int` to unsigned `double` function.
    `default java.util.function.IntBinaryOperator` | `asIntToUnsignedIntFunction()` View this as an `int` to unsigned `int` function.
    `default IntToLongFunction2` | `asIntToUnsignedLongFunction()` View this as an `int` to unsigned `long` function.

- - ### Method Detail

    - #### applyAsShort

          short applyAsShort(int value1,
                             int value2)

      Apply this function to the given 2 arguments.
      Parameters:
        `value1` - first argument
        `value2` - second argument
      Returns:
        the function result

    - #### asIntToIntFunction

          @NotNull
          default java.util.function.IntBinaryOperator asIntToIntFunction()

      View this as an `int` to `int` function.
      Returns:
        unary integer operator which will return values between `-32768` to `32767`

    - #### asIntToUnsignedIntFunction

          @NotNull
          default java.util.function.IntBinaryOperator asIntToUnsignedIntFunction()

      View this as an `int` to unsigned `int` function.
      Returns:
        unary integer operator which will return values between `0` to `65535`

    - #### asIntToLongFunction

          @NotNull
          default IntToLongFunction2 asIntToLongFunction()

      View this as an `int` to `long` function.
      Returns:
        int to long function which will return values between `-32768L` to `32767L`

    - #### asIntToUnsignedLongFunction

          @NotNull
          default IntToLongFunction2 asIntToUnsignedLongFunction()

      View this as an `int` to unsigned `long` function.
      Returns:
        unary integer operator which will return values between `0L` to `65535L`

    - #### asIntToDoubleFunction

          @NotNull
          default IntToDoubleFunction2 asIntToDoubleFunction()

      View this as an `int` to `double` function.
      Returns:
        int to double function which will return integral values between `-32768.0` to `32767.0`

    - #### asIntToUnsignedDoubleFunction

          @NotNull
          default IntToDoubleFunction2 asIntToUnsignedDoubleFunction()

      View this as an `int` to unsigned `double` function.
      Returns:
        int to double function which will return integral values between `0.0` to `65535.0`

    - #### asIntToCharFunction

          @NotNull
          default IntToCharFunction2 asIntToCharFunction()

      View this as an `int` to `char` function which considers the byte values unsigned.
      Returns:
        int to char function which will return values between `(char)0` and `(char)65535`